Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IMeshType

    java.lang.Object
      igeo.IMeshType

    public class IMeshType

extends java.lang.Object

Visitor class to define a type of mesh to be instantiated. Used in IMeshGeo. To define custom mesh, define child class of this to override methods.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara
See Also:
  `IMeshGeo`

Field Summary
`static int` | `maxVertexNum`

Constructor Summary
`IMeshType()`

Method Summary
`IEdge` | `createEdge(IVertex v1, IVertex v2)`
`IFace` | `createFace(IEdge[] e)`
`IFace` | `createFace(IEdge e1, IEdge e2, IEdge e3)`
`IFace` | `createFace(IEdge e1, IEdge e2, IEdge e3, IEdge e4)`
`IMeshGeo` | `createMesh(java.util.ArrayList<IVertex> v, java.util.ArrayList<IEdge> e, java.util.ArrayList<IFace> f)`
`IMeshGeo` | `createMesh(IVec[][] matrix, boolean triangulateDir)`
`IVertex` | `createVertex(double x, double y, double z)`
`IVertex` | `createVertex(IVec p)`
`IVertex` | `createVertex(IVec4 p)`
`IVertex` | `createVertex(IVecI p)`
`int` | `getMaxVertexNum()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxVertexNum

    public static int maxVertexNum

Constructor Detail

### IMeshType

    public IMeshType()

Method Detail

### createVertex

    public IVertex createVertex(double x,
                                double y,
                                double z)

### createVertex

    public IVertex createVertex(IVec p)

### createVertex

    public IVertex createVertex(IVec4 p)

### createVertex

    public IVertex createVertex(IVecI p)

### createEdge

    public IEdge createEdge(IVertex v1,
                            IVertex v2)

### createFace

    public IFace createFace(IEdge[] e)

### createFace

    public IFace createFace(IEdge e1,
                            IEdge e2,
                            IEdge e3)

### createFace

    public IFace createFace(IEdge e1,
                            IEdge e2,
                            IEdge e3,
                            IEdge e4)

### createMesh

    public IMeshGeo createMesh(java.util.ArrayList<IVertex> v,
                               java.util.ArrayList<IEdge> e,
                               java.util.ArrayList<IFace> f)

### createMesh

    public IMeshGeo createMesh(IVec[][] matrix,
                               boolean triangulateDir)

### getMaxVertexNum

    public int getMaxVertexNum()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD